package com.hungraim.ltc.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.hungraim.ltc.dao.FndOrganMapper;
import com.hungraim.ltc.pojo.entity.disable.ChFndOrgan;
import com.hungraim.ltc.service.OrganService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
@AllArgsConstructor
public class OrganServiceImpl implements OrganService {

    private final FndOrganMapper fndOrganMapper;

    @Override
    public List<Long> getOrganIds(Long organId, Boolean isInvolveChild) {
        List<Long> organIds = new ArrayList<>();
        if (isInvolveChild) {
            if (organId != null) {
                organIds.add(organId);
                QueryWrapper<ChFndOrgan> queryWrapper = new QueryWrapper<>();
                queryWrapper.eq("PARENT_ID", organId);
                queryWrapper.eq("STATUS", "1");
                List<ChFndOrgan> chFndOrgans = fndOrganMapper.selectList(queryWrapper);
                if (chFndOrgans != null) {
                    for (ChFndOrgan chFndOrgan : chFndOrgans) {
                        organIds.add(Long.valueOf(chFndOrgan.getOrganId()));
                    }
                }
            }
        }
        return organIds;
    }
}
